using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Data.Odbc;

namespace fall2015windb01
{
    public partial class Form1 : Form
    {

        static public string sql;
        static public string constr = "dsn=yourdsn; name=root; pwd=";
        static public OdbcConnection con;
        static public OdbcCommand cmd;
        static public OdbcDataReader rd;
        static public int[] ind = new int[100];
 

        public Form1()
        {
            InitializeComponent();
            updlb();
        }

        public void updlb()
        {
            int x = 0;
            listBox1.Items.Clear();
            sql = "SELECT * FROM firstone;";
            dbr();
            while (rd.Read())
            {
                listBox1.Items.Add(rd["name"].ToString());
                ind[x++] = Convert.ToInt16(rd["i"]);

            }
            rd.Close();

        }


        private void dbw()
        {
            con = new OdbcConnection(constr);
            cmd = new OdbcCommand(sql, con);
            con.Open();
            cmd.ExecuteNonQuery();
            con.Close();
        }

        private void dbr()
        {
            con = new OdbcConnection(constr);
            cmd = new OdbcCommand(sql, con);
            con.Open();
            rd = cmd.ExecuteReader();
        }


        private void button1_Click(object sender, EventArgs e)
        {
            //create table
            try
            {
                sql = "CREATE TABLE firstone ( ";
                sql += "i int primary key auto_increment, ";
                sql += "name varchar(30), ";
                sql += "addr varchar(40));";
                dbw();
            }
            catch
            {
            }

        }

        private void button2_Click(object sender, EventArgs e)
        {
            //insert
            sql  = "INSERT INTO firstone (name, addr) VALUES ('";
            sql += textBox1.Text;
            sql += "','";
            sql += textBox2.Text;
            sql += "');";
            //MessageBox.Show(sql);
            dbw();
            textBox1.Text = "";
            textBox2.Text = "";
            updlb();
        }

        private void listBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            sql = "SELECT * FROM firstone WHERE i = ";
            sql += ind[listBox1.SelectedIndex];
            sql += ";";
            //MessageBox.Show(sql);
            dbr();
            while (rd.Read())
            {
                textBox1.Text = rd["name"].ToString();
                textBox2.Text = rd["addr"].ToString();
            }
            rd.Close();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            //edit
            sql  = "UPDATE firstone "; 
            sql += "SET name = '";
            sql += textBox1.Text;
            sql += "', addr = '";
            sql += textBox2.Text;
            sql += "' WHERE i = ";
            sql += ind[listBox1.SelectedIndex];
            sql += ";";
            //MessageBox.Show(sql);
            dbw();
            textBox1.Text = "";
            textBox2.Text = "";
            updlb();
        }

        private void button5_Click(object sender, EventArgs e)
        {
            //delete
            sql = "DELETE FROM firstone WHERE i = ";
            sql += ind[listBox1.SelectedIndex];
            sql += ";";
            //MessageBox.Show(sql);
            dbw();
            textBox1.Text = "";
            textBox2.Text = "";
            updlb();
        }

        private void button4_Click(object sender, EventArgs e)
        {
            //drop table
            sql = "DROP TABLE firstone;";
            dbw();
        }
    }
};
